Session search

AI Tools

You can retrieve specific metrics of all sessions that have been created using your API keys for error handling by calling the endpoint below:

GET https://age.yoti.com/api/v1/report/search

Headers

Header

Description

Authorization

API Key to call the Yoti Age API. Should be sent as a Bearer {{API_TOKEN}} .

Yoti-Sdk-Id

Your unique SDK ID (uuid).

Query parameters

Parameter

Description

Type

Example Value(s)

createdAfter

Metrics will be returned for all session created after this date. Metrics will fetch data for up to six months.

dateTime

2025-12-11T15:01:31.860015Z

createdBefore

Metrics will be returned for all session created before this date. Metrics will fetch data for up to six months.

dateTime

2025-12-11T15:01:31.860015Z

checkId

Metrics will be returned for this session ID only

string

74dc4f99-fu22-457f-2489-624aec617220

status

Metrics will be returned for all session that ends with this status

  • PENDING - User has not started any checks.

  • IN_PROGRESS - Checks have begun on the session, awaiting result to be returned.

  • FAIL - The session has been completed, however the user has failed to meet the age threshold. FAIL will be returned only for 'OVER' and 'UNDER' attempts.

  • COMPLETE - The session has been completed, the user has passed the required threshold or an age has been returned. Always 'COMPLETE' if AGE type is configured.

  • ERROR - We could not provide an age result or calculate the threshold. This may be because the face was not recognised during age estimation or if the ID document was processed via Doc Scan, but we do not believe that it is a genuine document.

  • CANCELLED - The user no longer wishes to prove their age, and aborts the session.

  • EXPIRED - The session has expired and is no longer useable

string

CANCELLED

method

Metrics will be returned for sessions using this method

  • AGE_ESTIMATION

  • DIGITAL_ID

  • DOC_SCAN

  • CREDIT_CARD

  • MOBILE

  • MIT_ID

  • SWEDISH_BANK_ID

  • FTN

  • LA_WALLET

  • SOCIAL_SECURITY_NUMBER

  • DOUBLE_ANONYMITY

  • SINGPASS

string

AGE_ESTIMATION

Example response

{ "_metadata": { "total_count": 2 }, "results": [ { "id": "74dc4f99-fu22-457f-2489-624aec617220", "account_id": "", "method": "AGE_ESTIMATION", "status": "EXPIRED", "type": "SESSION", "error_code": "E000004", "created_at": "2026-01-12T16:41:45.102339Z" }, { "id": "5bfe71b8-n31s-4514-808a-537e4b20f012", "account_id": "", "method": "AGE_ESTIMATION", "status": "PENDING", "type": "SESSION", "error_code": "", "created_at": "2025-12-11T15:01:31.860015Z" }, { "id": "33cd8ca0-003d-4c18-97a1-0d965911d2e6", "account_id": "", "method": "CREDIT_CARD", "status": "ERROR", "type": "SESSION", "error_code": "E000014", "created_at": "2025-12-02T11:18:55.925559Z" }, ] }

Field

Type

Description

id

string

Session ID

account_id

string

Account ID

method

string

Method that has been used for the Age Verification session

  • AGE_ESTIMATION

  • DIGITAL_ID

  • DOC_SCAN

  • CREDIT_CARD

  • MOBILE

  • MIT_ID

  • SWEDISH_BANK_ID

  • FTN

  • LA_WALLET

  • SOCIAL_SECURITY_NUMBER

  • DOUBLE_ANONYMITY

  • SINGPASS

status

string

Session status

  • PENDING - User has not started any checks.

  • IN_PROGRESS - Checks have begun on the session, awaiting result to be returned.

  • FAIL - The session has been completed, however the user has failed to meet the age threshold. FAIL will be returned only for 'OVER' and 'UNDER' attempts.

  • COMPLETE - The session has been completed, the user has passed the required threshold or an age has been returned. Always 'COMPLETE' if AGE type is configured.

  • ERROR - We could not provide an age result or calculate the threshold. This may be because the face was not recognised during age estimation or if the ID document was processed via Doc Scan, but we do not believe that it is a genuine document.

  • CANCELLED - The user no longer wishes to prove their age, and aborts the session.

  • EXPIRED - The session has expired and is no longer useable

type

string

Type of check performed

  • SESSION

  • DIRECT_CHECK

error_code

string

Please refer to the list of error code page for details

created_at

dateTime

Session creation time